(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      9899,        289]
NotebookOptionsPosition[      9497,        272]
NotebookOutlinePosition[      9877,        288]
CellTagsIndexPosition[      9834,        285]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"cm", "=", "0.01"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Dchar", "=", 
   RowBox[{"1", "cm"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"v", "=", 
   FractionBox["5", "3.6"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<velocity= \>\"", ",", "v", ",", 
   "\"\< m.\!\(\*SuperscriptBox[\(s\), \(-1\)]\)\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ts", "=", "50"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ta", "=", "20"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Tdef", "=", 
   RowBox[{"0.5", "*", 
    RowBox[{"(", 
     RowBox[{"Ts", "+", "Ta"}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Tdef= \>\"", ",", "Tdef", ",", "\"\< \[Degree]C\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dataPr", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"20", ",", "0.713"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"40", ",", "0.711"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Pr", "=", 
   RowBox[{
    RowBox[{"Fit", "[", 
     RowBox[{"dataPr", ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "T"}], "}"}], ",", "T"}], "]"}], "/.", 
    RowBox[{"T", "\[Rule]", "Tdef"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Pr= \>\"", ",", "Pr", ",", "\"\< -\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dataKinVisc", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"20", ",", 
       RowBox[{"15.11", "*", 
        SuperscriptBox["10", 
         RowBox[{"-", "6"}]]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"40", ",", 
       RowBox[{"16.97", "*", 
        SuperscriptBox["10", 
         RowBox[{"-", "6"}]]}]}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Nu]", "=", 
   RowBox[{
    RowBox[{"Fit", "[", 
     RowBox[{"dataKinVisc", ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "T"}], "}"}], ",", "T"}], "]"}], "/.", 
    RowBox[{"T", "\[Rule]", "Tdef"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<\[Nu]= \>\"", ",", "\[Nu]", ",", 
    "\"\< \!\(\*SuperscriptBox[\(m\), \(2\)]\).\!\(\*SuperscriptBox[\(s\), \
\(-1\)]\)\>\""}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Rey", "=", 
   FractionBox[
    RowBox[{"v", "*", "Dchar"}], "\[Nu]"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Re= \>\"", ",", "Rey", ",", "\"\< -\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Nu", "=", 
   RowBox[{"0.97", "*", 
    SuperscriptBox["Rey", "0.42"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Nu= \>\"", ",", "Nu", ",", "\"\< -\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dataLambda", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"20", ",", "0.0257"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"40", ",", "0.027"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Lambda]", "=", 
   RowBox[{
    RowBox[{"Fit", "[", 
     RowBox[{"dataLambda", ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "T"}], "}"}], ",", "T"}], "]"}], "/.", 
    RowBox[{"T", "\[Rule]", "Tdef"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{
   "\"\<\[Lambda]= \>\"", ",", "\[Lambda]", ",", 
    "\"\< W.\!\(\*SuperscriptBox[\(m\), \(-1\)]\).\!\(\*SuperscriptBox[\(K\), \
\(-1\)]\)\>\""}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Alpha]", "=", 
   RowBox[{"Nu", "*", 
    FractionBox["\[Lambda]", "Dchar"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<\[Alpha]= \>\"", ",", "\[Alpha]", ",", 
   "\"\< W.\!\(\*SuperscriptBox[\(m\), \(-2\)]\).\!\(\*SuperscriptBox[\(K\), \
\(-1\)]\)\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Qconvection1meter", "=", 
   RowBox[{"\[Alpha]", "*", "\[Pi]", "*", "Dchar", "*", "1", "*", 
    RowBox[{"(", 
     RowBox[{"Ts", "-", "Ta"}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Qconv= \>\"", ",", "Qconvection1meter", ",", "\"\< W/m\>\""}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.6542470506987343`*^9, 3.654247073084773*^9}, {
   3.6542471128180428`*^9, 3.6542471404456916`*^9}, {3.6542476609315476`*^9, 
   3.6542477017338815`*^9}, {3.6542477751300793`*^9, 3.654247779986357*^9}, {
   3.6542478632631207`*^9, 3.6542479512591534`*^9}, {3.6542480250913763`*^9, 
   3.654248064879652*^9}, {3.6542481560808687`*^9, 3.654248279467926*^9}, {
   3.654248467379674*^9, 3.6542485384427385`*^9}, 3.6542489892195215`*^9, {
   3.654249449581853*^9, 3.654249489891158*^9}, {3.6542495808843627`*^9, 
   3.654249685284334*^9}, {3.654249928008217*^9, 3.654250025428789*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Sigma]", "=", 
   RowBox[{"5.67", "*", 
    SuperscriptBox["10", 
     RowBox[{"-", "8"}]]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Epsilon]", "=", "0.9"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Qradiation1meter", "=", 
   RowBox[{
   "\[Pi]", "*", "Dchar", "*", "1", "*", "\[Epsilon]", "*", "\[Sigma]", "*", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"Ts", "+", "273"}], ")"}], "4"], "-", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"Ta", "+", "273"}], ")"}], "4"]}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Qrad= \>\"", ",", "Qradiation1meter", ",", "\"\< W/m\>\""}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.654250368339402*^9, 3.654250381691166*^9}, {
  3.654250437915382*^9, 3.6542505184079857`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Qtotal1m", "=", 
   RowBox[{"Qradiation1meter", "+", "Qconvection1meter"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Qtotal= \>\"", ",", "Qtotal1m", ",", "\"\< W/m\>\""}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.6542506689515963`*^9, 3.654250713822163*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", "   ", 
   RowBox[{"H2O", " ", "in", " ", "pipe"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Dchar", "=", 
     RowBox[{"5", "cm"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"QV", "=", 
     FractionBox["8", "3600."]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<QV= \>\"", ",", "QV", ",", 
      "\"\< \!\(\*SuperscriptBox[\(m\), \(3\)]\)/s\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Scross", "=", 
     FractionBox[
      RowBox[{
       SuperscriptBox["Dchar", "2"], "*", "Pi"}], "4"]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"v", "=", 
     FractionBox["QV", "Scross"]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{
    "\"\<v= \>\"", ",", "v", ",", 
     "\"\< m.\!\(\*SuperscriptBox[\(s\), \(-1\)]\)\>\""}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"s", "=", "1"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mm", "=", "0.001"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Nu]", "=", 
     RowBox[{"1.003", "*", 
      FractionBox[
       SuperscriptBox["mm", "2"], "s"]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Rey", "=", 
     FractionBox[
      RowBox[{"v", "*", "Dchar"}], "\[Nu]"]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Re=\>\"", ",", "Rey", ",", "\"\< -\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Pr", "=", "7.01"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Nu", "=", 
     RowBox[{"0.023", "*", 
      SuperscriptBox["Rey", "0.8"], "*", 
      SuperscriptBox["Pr", "0.4"]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Nu= \>\"", ",", "Nu", ",", "\"\< -\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Lambda]", "=", "0.6"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Alpha]", "=", 
     RowBox[{"Nu", "*", 
      FractionBox["\[Lambda]", "Dchar"]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{
    "\"\<\[Alpha]= \>\"", ",", "\[Alpha]", ",", 
     "\"\< W.\!\(\*SuperscriptBox[\(m\), \
\(-2\)]\).\!\(\*SuperscriptBox[\(K\), \(-1\)]\)\>\""}], "]"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.654251186896221*^9, 3.654251259381367*^9}, {
  3.654251293014291*^9, 3.6542513506095853`*^9}, {3.654251742046974*^9, 
  3.6542517453341618`*^9}, {3.6542517896856985`*^9, 3.65425187345049*^9}, {
  3.6542519436545057`*^9, 3.6542520130104723`*^9}, {3.6542520573540087`*^9, 
  3.654252093934101*^9}, {3.654252150789353*^9, 3.6542521647761526`*^9}}]
},
WindowSize->{1115, 761},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification->2.3999998569488525`,
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (February 23, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 4898, 136, 1277, "Input"],
Cell[5458, 158, 909, 25, 287, "Input"],
Cell[6370, 185, 353, 8, 153, "Input"],
Cell[6726, 195, 2767, 75, 1120, "Input"]
}
]
*)

(* End of internal cache information *)
