(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     11343,        339]
NotebookOptionsPosition[     10745,        317]
NotebookOutlinePosition[     11124,        333]
CellTagsIndexPosition[     11081,        330]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"Tdef", "=", "60"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Tamb", "=", "20"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Tsurface", "=", "100"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Pr", "=", "0.71"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Nu]", "=", 
   RowBox[{"18.9", "*", 
    SuperscriptBox["10", 
     RowBox[{"-", "6"}]]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Dchar", "=", "0.05"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Beta]", "=", 
   RowBox[{"3", "*", 
    SuperscriptBox["10", 
     RowBox[{"-", "3"}]]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Lambda]", "=", "0.0285"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[CapitalDelta]T", "=", 
   RowBox[{"Tsurface", "-", "Tamb"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"g", "=", "9.81"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Gr", "=", 
   FractionBox[
    RowBox[{"\[Beta]", "*", "\[CapitalDelta]T", "*", 
     SuperscriptBox["Dchar", "3"], "*", "g"}], 
    SuperscriptBox["\[Nu]", "2"]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Gr= \>\"", ",", "Gr", ",", "\"\<  Gr*Pr= \>\"", ",", 
   RowBox[{"Gr", "*", "Pr"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.704171203734377*^9, 3.704171363396058*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Nu", "=", 
   RowBox[{"0.97", "*", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"Gr", "*", "Pr"}], ")"}], "0.203"]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Nu= \>\"", ",", "Nu"}], "]"}]}], "Input",
 CellChangeTimes->{{3.70417149495909*^9, 3.70417152918755*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Alpha]", "=", 
   RowBox[{"Nu", "*", 
    FractionBox["\[Lambda]", "Dchar"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<\[Alpha]= \>\"", ",", "\[Alpha]", ",", 
   "\"\< W.\!\(\*SuperscriptBox[\(m\), \(-2\)]\).\!\(\*SuperscriptBox[\(K\), \
\(-1\)]\)\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.704171597869074*^9, 3.704171636699542*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"length", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"S", "=", 
   RowBox[{"length", "*", "Pi", "*", "Dchar"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PowerOfConvection", "=", 
   RowBox[{"\[Alpha]", "*", "S", "*", "\[CapitalDelta]T"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<PowerOfConvection=\>\"", ",", "PowerOfConvection", ",", "\"\< W\>\""}],
   "]"}]}], "Input",
 CellChangeTimes->{{3.704171703239461*^9, 3.7041717807725973`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"forced", " ", "convection"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Lambda]", "=", "0.675"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Nu]", "=", 
     RowBox[{"0.326", "*", 
      SuperscriptBox["10", 
       RowBox[{"-", "6"}]]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Pr", "=", "1.96"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Dchar", "=", "0.01"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"massFlow", "=", "0.2"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"density", "=", "1000"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"volumeFlow", "=", 
     FractionBox["massFlow", "density"]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"crossArea", "=", 
     RowBox[{"Pi", "*", 
      FractionBox[
       SuperscriptBox["Dchar", "2"], "4"]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"velocity", "=", 
     FractionBox["volumeFlow", "crossArea"]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<velocity= \>\"", ",", "velocity", ",", 
      "\"\< m.\!\(\*SuperscriptBox[\(s\), \(-1\)]\)\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Reynolds", "=", 
     FractionBox[
      RowBox[{"velocity", "*", "Dchar"}], "\[Nu]"]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"\"\<Re= \>\"", ",", "Reynolds", ",", "\"\< -\>\""}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.704172697186859*^9, 3.704172770317462*^9}, {
  3.704172807463127*^9, 3.7041729931174545`*^9}, {3.7041732749127116`*^9, 
  3.7041732806535215`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Nu", "=", 
   RowBox[{"0.023", "*", 
    SuperscriptBox["Reynolds", "0.8"], "*", 
    SuperscriptBox["Pr", "0.3"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<Nu= \>\"", ",", "Nu", ",", "\"\< -\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.7041732625887327`*^9, 3.7041733124151773`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Alpha]", "=", 
   RowBox[{"Nu", "*", 
    FractionBox["\[Lambda]", "Dchar"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{
  "\"\<\[Alpha]= \>\"", ",", "\[Alpha]", ",", 
   "\"\< W.\!\(\*SuperscriptBox[\(m\), \(-2\)]\).\!\(\*SuperscriptBox[\(K\), \
\(-1\)]\)\>\""}], "]"}]}], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"humid", " ", "air"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"h1", "=", 
     RowBox[{"13", "*", 
      SuperscriptBox["10", "3"]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"x1", "=", 
     RowBox[{"3.2", "*", 
      SuperscriptBox["10", 
       RowBox[{"-", "3"}]]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"h2", "=", 
     RowBox[{"47", "*", 
      SuperscriptBox["10", "3"]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"x2", "=", 
     RowBox[{"10", "*", 
      SuperscriptBox["10", 
       RowBox[{"-", "3"}]]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"T2", "=", "22"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"density", "=", 
     FractionBox["349.", 
      RowBox[{"273", "+", "T2"}]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Volume", "=", "1000"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mass", "=", 
     RowBox[{"Volume", "*", "density"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"totalHeat", "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"h2", "-", "h1"}], ")"}], "*", "mass"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<heat for one exchange of air= \>\"", ",", "totalHeat", ",", 
      "\"\< J\>\""}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"neededWater", "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"x2", "-", "x1"}], ")"}], "*", "mass"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{
     "\"\<water for one exchange of air= \>\"", ",", "neededWater", ",", 
      "\"\< kg\>\""}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"timeOfExchange", "=", 
     RowBox[{"4", "*", "3600"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PowerForHeating", "=", 
     FractionBox["totalHeat", "timeOfExchange"]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"\"\<power for heating of the air= \>\"", ",", 
     FractionBox["PowerForHeating", "1000"], ",", "\"\< kW\>\""}], "]"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.704178092764774*^9, 3.704178217580593*^9}, {
  3.70417825572266*^9, 3.7041784855422635`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"linear", " ", "model", " ", "of", " ", "arc", " ", "furnace"}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Psc", "=", 
     RowBox[{"5.", "*", 
      SuperscriptBox["10", "6"]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Qsc", "=", 
     RowBox[{"15.", "*", 
      SuperscriptBox["10", "6"]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"S", "=", 
     RowBox[{"Psc", "+", 
      RowBox[{"I", "*", "Qsc"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"U", "=", "400"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"R", "=", 
     RowBox[{"Re", "[", 
      FractionBox[
       SuperscriptBox["U", "2"], "S"], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"X", "=", 
     RowBox[{"-", 
      RowBox[{"Im", "[", 
       FractionBox[
        SuperscriptBox["U", "2"], "S"], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{
    "\"\<R= \>\"", ",", "R", ",", "\"\< \[CapitalOmega], X= \>\"", ",", "X", 
     ",", "\"\< \[CapitalOmega]\>\""}], "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"RarcForMaximalArcPower", "=", 
     SqrtBox[
      RowBox[{
       SuperscriptBox["R", "2"], "+", 
       SuperscriptBox["X", "2"]}]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"current", "=", 
     FractionBox["U", 
      RowBox[{"R", "+", "RarcForMaximalArcPower", "+", 
       RowBox[{"I", "*", "X"}]}]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PowerOfArc", "=", 
     RowBox[{
      RowBox[{"Abs", "[", 
       SuperscriptBox["current", "2"], "]"}], "*", 
      "RarcForMaximalArcPower"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<maximal arc power= \>\"", ",", 
      FractionBox["PowerOfArc", 
       SuperscriptBox["10", "6"]], ",", "\"\< MW\>\""}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"efficiency", "=", 
     FractionBox["RarcForMaximalArcPower", 
      RowBox[{"RarcForMaximalArcPower", "+", "R"}]]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"\"\<efficiency= \>\"", ",", "efficiency", ",", "\"\< -\>\""}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.7041794850536194`*^9, 3.7041795503553343`*^9}, {
  3.7041795976702175`*^9, 3.7041796873703747`*^9}, {3.704179821749011*^9, 
  3.704179962508058*^9}, {3.7041800165153527`*^9, 3.7041800378249903`*^9}}]
},
WindowSize->{1030, 761},
WindowMargins->{{86, Automatic}, {Automatic, 60}},
Magnification->2.299999952316284,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 1371, 37, 600, "Input"],
Cell[1931, 59, 343, 10, 143, "Input"],
Cell[2277, 71, 412, 10, 187, "Input"],
Cell[2692, 83, 548, 15, 270, "Input"],
Cell[3243, 100, 1830, 50, 852, "Input"],
Cell[5076, 152, 355, 8, 143, "Input"],
Cell[5434, 162, 346, 9, 187, "Input"],
Cell[5783, 173, 2361, 68, 1078, "Input"],
Cell[8147, 243, 2594, 72, 1075, "Input"]
}
]
*)

(* End of internal cache information *)
